diff --git a/README.rst b/README.rst
index 5b0ad08..ecbc1f8 100644
--- a/README.rst
+++ b/README.rst
@@ -2,9 +2,6 @@
 Team and repository tags
 ========================
 
-.. image:: https://governance.openstack.org/tc/badges/python-vitrageclient.svg
-    :target: https://governance.openstack.org/tc/reference/tags/index.html
-
 .. Change things from this point on
 
 ..
